import java.applet.*;
import java.awt.*;

public class PresentationTestApplet extends Applet implements CompanyTransactionProxy {
	private CardCompany company = new CardCompany("Java Visa", 312000);
	private CompanyPresentation presentation = new CompanyPresentation(this);

	public void init() {
		setLayout(new FlowLayout());
		add(presentation);
	}

	public Card issueCard(String name) {
		return company.issueCard(name);
	}

	public boolean cancelCard(int number) {
		return company.cancelCard(number);
	}

	public Card purchase(int number, String item, double amount) {
		return company.purchase(number, item, amount);
	}

	public Card payment(int number, double amount) {
		return company.payment(number, amount);
	}

	public Card findCard(String name) {
		return company.findCard(name);
	}

	public Card findCard(int number) {
		return company.findCard(number);
	}
}
